## ros-noetic-rm-shooter-controllers 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_shooter_controllers)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror)

## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        roscpp

        rm_common

        effort_controllers
        dynamic_reconfigure
        )

generate_dynamic_reconfigure_options(
        cfg/Shooter.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        CATKIN_DEPENDS
        roscpp

        rm_common

        effort_controllers
        dynamic_reconfigure
        LIBRARIES ${PROJECT_NAME}
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
        include
        ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME}
        src/standard.cpp)

## Specify libraries to link executable targets against
target_link_libraries(${PROJECT_NAME}
        ${catkin_LIBRARIES})

add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
        TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
        DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
        DIRECTORY test
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(
        FILES rm_shooter_controllers_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

=== debian/changelog ===
ros-noetic-rm-shooter-controllers (0.1.7-1buster) buster; urgency=high

  * Try two fix double shoot
  * Merge remote-tracking branch 'origin/master'
  * Fix bug of shooting if statement
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.5-1buster) buster; urgency=high

  * Add hz counting in trigger test mode.
  * Merge remote-tracking branch 'origin/master'
  * Add testing option to shooter for testing the trigger without friction wheel
  * 0.1.4
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: BruceLannn, QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.3-1buster) buster; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into maintain
    # Conflicts:
    #     rm_chassis_controllers/config/standard3.yaml
  * Merge pull request #41 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/41> from ye-luo-xi-tui/standard3
    Update standard3 config
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Update standard3 config
  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.2-1buster) buster; urgency=high

  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Update the config of rm_shooter_controller, load only one controller on launch instead of spawn controllers
  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'namespace'
    # Conflicts:
    #     rm_chassis_controllers/README.md
  * Merge pull request #15 <https://github.com/rm-controls/rm_controllers/issues/15> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control
  * Change name of namespace:from hardware_interface to rm_control.
  * Merge pull request #8 <https://github.com/rm-controls/rm_controllers/issues/8> from Edwinlinks/master
    Update README.md in rm_shooter_controller
  * Update the format of Bugs & Feature Requests README.md in  rm_shooter_controller
  * Fix LICENSE url
  * Update the format of Bugs & Feature Requests README.md in rm_shooter_controller
  * Update the README.md in rm_shooter_controller
  * Use “pragma once” in rm_shooter_controllers headers instead of include guards.
  * Correct dependencies and interface type.
  * Correct some shooter param's description.
  * Simplify shooter README.md.
  * Update shooter param's description.
  * Correct readme format.
  * Correct readme format.
  * Update controllers README.
  * Merge remote-tracking branch 'origin/master'
  * Update README.md
  * Delet a space bar.
    Delet space bar after sudo rosdep install --from-paths src
  * Add some param's description
  * Update shooter controller's README.md
  * Fix wrong naming "include/rm_shooter_controller"
  * Run pre-commit
  * Format rm_shooter_controllers using clang-format
  * Contributors: BruceLannn, QiayuanLiao, YuuinIH, chenzheng, link Edwin, qiayuan, yezi, 沐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.1-1buster) buster; urgency=high

  * Set all version to the same
  * Add license to rm_chassis_controllers and rm_gimbal_controllers source files
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_shooter_controllers/rm_shooter_controllers, prepare for merge
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-shooter-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-shooter-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Description: RoboMaster standard robot Shooter controller

## ros-noetic-rm-shooter-controllers 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
         rm_common
 
+        controller_interface
         effort_controllers
         dynamic_reconfigure
         )

=== debian/changelog ===
ros-noetic-rm-shooter-controllers (0.1.10-1focal) focal; urgency=high

  * Merge pull request #118 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/118> from ye-luo-xi-tui/master
    Publish shoot state
  * Publish shoot state.
  * Merge pull request #109 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/109> from ye-luo-xi-tui/master
    Modifier default value of forward_push_threshold and exit_push_threshold
  * Modifier default value of forward_push_threshold and exit_push_threshold.
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.9-1focal) focal; urgency=high

  * Merge branch 'master' into balance_standard
  * Merge remote-tracking branch 'origin/fix_return' into fix_return
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Merge branch 'rm-controls:master' into fix_return
  * Contributors: L-SY, lsy, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.8-1focal) focal; urgency=high

  * Merge pull request #93 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/93> from NaHCO3bc/master
    Fix the bug that the shooter cannot be turned from push to ready
  * Modify the name and the description of the params about push forward threshold.
  * Optimize the logic of entering the block mode.
  * Fix the bug that shooter cannot push or enter block when the position error is too big.
  * Modify the params name.
  * Modify the params about enter and exit push mode.
  * Parametric position difference of trigger.
  * Fix the bug that the shooter cannot be turned from push to ready.
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/86> from NaHCO3bc/Readme
    Fix the dependence part bug.
  * Modify the test file folder.
  * Fix the dependence part bug.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.7-1focal) focal; urgency=high

  * Try two fix double shoot
  * Merge remote-tracking branch 'origin/master'
  * Fix bug of shooting if statement
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.5-1focal) focal; urgency=high

  * Add hz counting in trigger test mode.
  * Merge remote-tracking branch 'origin/master'
  * Add testing option to shooter for testing the trigger without friction wheel
  * 0.1.4
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: BruceLannn, QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into maintain
    # Conflicts:
    #     rm_chassis_controllers/config/standard3.yaml
  * Merge pull request #41 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/41> from ye-luo-xi-tui/standard3
    Update standard3 config
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Update standard3 config
  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-shooter-controllers (0.1.2-1focal) focal; urgency=high

  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Update the config of rm_shooter_controller, load only one controller on launch instead of spawn controllers
  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'namespace'
    # Conflicts:
    #     rm_chassis_controllers/README.md
  * Merge pull request #15 <https://github.com/rm-controls/rm_controllers/issues/15> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control
  * Change name of namespace:from hardware_interface to rm_control.
  * Merge pull request #8 <https://github.com/rm-controls/rm_controllers/issues/8> from Edwinlinks/master
    Update README.md in rm_shooter_controller
  * Update the format of Bugs & Feature Requests README.md in  rm_shooter_controller
  * Fix LICENSE url
  * Update the format of Bugs & Feature Requests README.md in rm_shooter_controller
  * Update the README.md in rm_shooter_controller
  * Use “pragma once” in rm_shooter_controllers headers instead of include guards.
  * Correct dependencies and interface type.
  * Correct some shooter param's description.
  * Simplify shooter README.md.
  * Update shooter param's description.


=== debian/control ===
Source: ros-noetic-rm-shooter-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-shooter-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Description: RoboMaster standard robot Shooter controller

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-shooter-controllers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
